Bug 20923 - isdn trouble
isdn trouble
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: isdnconfig (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-15 15:08 EST by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-16 05:42:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages file (253.73 KB, text/plain)
2000-11-15 15:12 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2000-11-15 15:08:42 EST
I have an Eicon Diva2.0 isa pnp isdn card configured in my system.
I have dialout configured with isdn config under Gnome.
When i dial out (isdnctrl dial ippp0) on the console prompt it seems to 
work.
In the /var/log/messages files the system reports connection with my 
provider.
But when i try to ping mu provider i get the following message :Nov 15 
20:49:33 Voyager kernel: ippp: no decompressor defined!
Nov 15 20:50:00 Voyager CROND[1029]: (root) CMD (   /sbin/rmmod -as) 
Nov 15 20:50:27 Voyager kernel: isdn_ppp: No compressor set!
Nov 15 20:50:27 Voyager kernel: ippp: no decompressor defined!
Nov 15 20:50:27 Voyager kernel: Unable to handle kernel NULL pointer 
dereference at virtual address 00000004
Nov 15 20:50:27 Voyager kernel: current->tss.cr3 = 02adb000, %cr3 = 
02adb000
Nov 15 20:50:27 Voyager kernel: *pde = 00000000
Nov 15 20:50:27 Voyager kernel: Oops: 0002
Nov 15 20:50:27 Voyager kernel: CPU:    0
Nov 15 20:50:27 Voyager kernel: EIP:    0010:[skb_recv_datagram+339/392]
Nov 15 20:50:27 Voyager kernel: EFLAGS: 00010046
Nov 15 20:50:27 Voyager kernel: eax: c27fa1a0   ebx: c1f11c84   ecx: 
00000246   edx: 00000000
Nov 15 20:50:27 Voyager kernel: esi: 00000246   edi: c1f11c40   ebp: 
c1f11c84   esp: c0243dc0
Nov 15 20:50:27 Voyager kernel: ds: 0018   es: 0018   ss: 0018
Nov 15 20:50:27 Voyager kernel: Process ping (pid: 1030, process nr: 44, 
stackpage=c0243000)
Nov 15 20:50:27 Voyager kernel: Stack: c0243eb8 000000c0 c0243dd0 c1f11c84 
c0242000 c094df84 c016ffdd c1f11c40 
Nov 15 20:50:27 Voyager kernel:        00000000 00000000 c0243dfc 00000000 
c1f11c40 c0243f38 c0243f38 c017563b 
Nov 15 20:50:27 Voyager kernel:        c01755a0 c1f11c40 c0243f38 000000c0 
00000000 00000000 c0243e28 c094df6c 
Nov 15 20:50:27 Voyager kernel: Call Trace: [raw_recvmsg+101/264] 
[inet_sendmsg+131/144] [inet_recvmsg+116/140] [sock_recvmsg+66/180] 
[inet_recvmsg+0/140] [sys_recvmsg+338/500] [con_put_char+30/36] 
Nov 15 20:50:27 Voyager kernel:        [vgacon_cursor+433/440] 
[set_cursor+110/132] [do_setitimer+164/244] [sys_setitimer+142/232] 
[sys_socketcall+472/480] [system_call+52/56] 
Nov 15 20:50:27 Voyager kernel: Code: 89 5a 04 89 13 c7 00 00 00 00 00 c7 
40 04 00 00 00 00 c7 40 

After trying to ping three times the sytems hang's

With regards
Peter van Hoek
Comment 1 Need Real Name 2000-11-15 15:12:10 EST
Created attachment 5401 [details]
/var/log/messages file
Comment 2 Ngo Than 2000-12-28 15:05:57 EST
It's a problem in isdn kernel module. Please try either the new kernel from
rawhide or
the kernel-2.2.16-22isdn from http://www.linux-easy.com/rh-updates/

They include the current isdn drivers from CVS. I hope tt should fix your
problem.
Comment 3 Daniel Roesen 2000-12-28 16:16:47 EST
Why "NOTABUG"?

Note You need to log in before you can comment on or make changes to this bug.